<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::IContext Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1IContext.html">IContext</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="structCatch_1_1IContext-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::IContext Struct Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::IContext:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1IContext__inherit__graph.png" border="0" usemap="#Catch_1_1IContext_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1IContext_inherit__map" id="Catch_1_1IContext_inherit__map">
<area shape="rect" title=" " alt="" coords="31,5,154,32"/>
<area shape="rect" href="structCatch_1_1IMutableContext.html" title=" " alt="" coords="5,80,180,107"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aeb17355c1be6c2ced5407cad7202628d"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IContext.html#aeb17355c1be6c2ced5407cad7202628d">~IContext</a> ()</td></tr>
<tr class="separator:aeb17355c1be6c2ced5407cad7202628d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a684e4ae71d1fdf3060c352ecde1d122f"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1IResultCapture.html">IResultCapture</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IContext.html#a684e4ae71d1fdf3060c352ecde1d122f">getResultCapture</a> ()=0</td></tr>
<tr class="separator:a684e4ae71d1fdf3060c352ecde1d122f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af088415dde18d039ed5a2f95b02767c6"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1IRunner.html">IRunner</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IContext.html#af088415dde18d039ed5a2f95b02767c6">getRunner</a> ()=0</td></tr>
<tr class="separator:af088415dde18d039ed5a2f95b02767c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72a2718232adea8925fec9e71d3efd75"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceCatch.html#afd20a5d4f9d2f4d525db81a7765367b0">IConfigPtr</a> const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IContext.html#a72a2718232adea8925fec9e71d3efd75">getConfig</a> () const =0</td></tr>
<tr class="separator:a72a2718232adea8925fec9e71d3efd75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb17355c1be6c2ced5407cad7202628d"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IContext.html#aeb17355c1be6c2ced5407cad7202628d">~IContext</a> ()</td></tr>
<tr class="separator:aeb17355c1be6c2ced5407cad7202628d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a684e4ae71d1fdf3060c352ecde1d122f"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1IResultCapture.html">IResultCapture</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IContext.html#a684e4ae71d1fdf3060c352ecde1d122f">getResultCapture</a> ()=0</td></tr>
<tr class="separator:a684e4ae71d1fdf3060c352ecde1d122f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af088415dde18d039ed5a2f95b02767c6"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1IRunner.html">IRunner</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IContext.html#af088415dde18d039ed5a2f95b02767c6">getRunner</a> ()=0</td></tr>
<tr class="separator:af088415dde18d039ed5a2f95b02767c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72a2718232adea8925fec9e71d3efd75"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceCatch.html#afd20a5d4f9d2f4d525db81a7765367b0">IConfigPtr</a> const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IContext.html#a72a2718232adea8925fec9e71d3efd75">getConfig</a> () const =0</td></tr>
<tr class="separator:a72a2718232adea8925fec9e71d3efd75"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aeb17355c1be6c2ced5407cad7202628d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb17355c1be6c2ced5407cad7202628d">&#9670;&nbsp;</a></span>~IContext() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::IContext::~IContext </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aeb17355c1be6c2ced5407cad7202628d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb17355c1be6c2ced5407cad7202628d">&#9670;&nbsp;</a></span>~IContext() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::IContext::~IContext </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a72a2718232adea8925fec9e71d3efd75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72a2718232adea8925fec9e71d3efd75">&#9670;&nbsp;</a></span>getConfig() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceCatch.html#afd20a5d4f9d2f4d525db81a7765367b0">IConfigPtr</a> const&amp; Catch::IContext::getConfig </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a72a2718232adea8925fec9e71d3efd75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72a2718232adea8925fec9e71d3efd75">&#9670;&nbsp;</a></span>getConfig() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceCatch.html#afd20a5d4f9d2f4d525db81a7765367b0">IConfigPtr</a> const&amp; Catch::IContext::getConfig </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a684e4ae71d1fdf3060c352ecde1d122f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a684e4ae71d1fdf3060c352ecde1d122f">&#9670;&nbsp;</a></span>getResultCapture() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structCatch_1_1IResultCapture.html">IResultCapture</a>* Catch::IContext::getResultCapture </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a684e4ae71d1fdf3060c352ecde1d122f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a684e4ae71d1fdf3060c352ecde1d122f">&#9670;&nbsp;</a></span>getResultCapture() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structCatch_1_1IResultCapture.html">IResultCapture</a>* Catch::IContext::getResultCapture </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af088415dde18d039ed5a2f95b02767c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af088415dde18d039ed5a2f95b02767c6">&#9670;&nbsp;</a></span>getRunner() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structCatch_1_1IRunner.html">IRunner</a>* Catch::IContext::getRunner </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af088415dde18d039ed5a2f95b02767c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af088415dde18d039ed5a2f95b02767c6">&#9670;&nbsp;</a></span>getRunner() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structCatch_1_1IRunner.html">IRunner</a>* Catch::IContext::getRunner </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
